Bug 869570 - (CVE-2012-4555) CVE-2012-4555 pki-tps: Temporary denial of service on interrupted token format operations
CVE-2012-4555 pki-tps: Temporary denial of service on interrupted token forma...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121206,reported=2...
: Security
Depends On: 871487 884830
Blocks: 864425
  Show dependency treegraph
 
Reported: 2012-10-24 05:46 EDT by Jan Lieskovsky
Modified: 2015-07-31 06:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-10-24 05:46:00 EDT
A denial of service flaw was found in the way token processing system of Certificate System processed interrupted token format operations. A local attacker, via suddenly interrupting the token format operation, could use this flaw to cause pki-tps infrastructure to crash with NULL pointer dereference, subsequently leading to relevant Apache httpd web server worker it to need to restart, rendering it to be unavailable for short period of time possibly halting (already) in-progress operations of other users.
Comment 2 Jan Lieskovsky 2012-10-24 05:49:00 EDT
This issue affects the version of the pki-tps package, as shipped with Red Hat Certificate System 8.1.

--

This issue affects the versions of the pki-tps package, as shipped with Fedora release of 16 and 17.

--

This issue did NOT affect the version of the pki-tps package, as shipped with Fedora EPEL 5.
Comment 3 Jan Lieskovsky 2012-10-30 10:08:29 EDT
The CVE identifier of CVE-2012-4555 has been assigned to this issue.
Comment 5 Jan Lieskovsky 2012-11-08 08:39:36 EST
Acknowledgements:

Red Hat would like to thank Patrick Raspante and Ryan Millay of GDC4S for reporting this issue.
Comment 6 Vincent Danen 2012-12-06 14:49:44 EST
Created pki-tps tracking bugs for this issue

Affects: fedora-all [bug 884830]
Comment 7 errata-xmlrpc 2012-12-06 15:34:24 EST
This issue has been addressed in following products:

  Red Hat Certificate System 8

Via RHSA-2012:1550 https://rhn.redhat.com/errata/RHSA-2012-1550.html

Note You need to log in before you can comment on or make changes to this bug.